Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.bot
Class BotUtil

    java.lang.Object
      org.encog.bot.BotUtil

    public final class BotUtil

extends Object

Utility class for bots.

Author:
  jheaton

Field Summary
`static int` | `BUFFER_SIZE` How much data to read at once.

Method Summary
`static void` | `downloadPage(URL url, File file)` Load the specified URL to a file.
`static String` | `extract(String str, String token1, String token2, int index)` This method is very useful for grabbing information from a HTML page.
`static String` | `extractFromIndex(String str, String token1, String token2, int index, int occurence)` This method is very useful for grabbing information from a HTML page.
`static int` | `findOccurance(String search, String searchFor, int index)` Find the specified occurrence of one string in another string.
`static String` | `loadPage(InputStream is)` Load load from the specified input stream.
`static String` | `loadPage(URL url)` Load the specified web page into a string.
`static String` | `stripTags(String str)` Strip any HTML or XML tags from the specified string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static final int BUFFER_SIZE

  How much data to read at once.

  See Also:
    Constant Field Values

Method Detail

### downloadPage

    public static void downloadPage(URL url,
                                    File file)

  Load the specified URL to a file.

  Parameters:
    `url` - The URL.
    `file` - The file.

### extract

    public static String extract(String str,
                                 String token1,
                                 String token2,
                                 int index)

  This method is very useful for grabbing information from a HTML page.

  Parameters:
    `str` - The string to search.
    `token1` - The text, or tag, that comes before the desired text
    `token2` - The text, or tag, that comes after the desired text
    `index` - Which occurrence of token1 to use, 1 for the first
  Returns:
    The contents of the URL that was downloaded.

### extractFromIndex

    public static String extractFromIndex(String str,
                                          String token1,
                                          String token2,
                                          int index,
                                          int occurence)

  This method is very useful for grabbing information from a HTML page.

  Parameters:
    `str` - The string to search.
    `token1` - The text, or tag, that comes before the desired text
    `token2` - The text, or tag, that comes after the desired text
    `index` - Index in the string to start searching from.
    `occurence` - What occurrence.
  Returns:
    The contents of the URL that was downloaded.

### findOccurance

    public static int findOccurance(String search,
                                    String searchFor,
                                    int index)

  Find the specified occurrence of one string in another string.

  Parameters:
    `search` - The string to search.
    `searchFor` - What we are searching for.
    `index` - The occurrence to find.
  Returns:
    The index of the specified string, or -1 if not found.

### loadPage

    public static String loadPage(InputStream is)

  Load load from the specified input stream.

  Parameters:
    `is` - The input stream to load from.
  Returns:
    The data loaded from the specified input stream.

### loadPage

    public static String loadPage(URL url)

  Load the specified web page into a string.

  Parameters:
    `url` - The url to load.
  Returns:
    The web page as a string.

### stripTags

    public static String stripTags(String str)

  Strip any HTML or XML tags from the specified string.

  Parameters:
    `str` - The string to process.
  Returns:
    The string without tags.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.